void main () {
    var host = "localhost";
    
    try {
      // Resolve hostname to IP address
      var resolver = Resolver.get_default ();
      var addresses = resolver.lookup_by_name (host, null);
      var address = addresses.nth_data (0);
      print (@"Der Host $host hat die IP-Addr. $address.\n");
      
      // Connect
      var client = new SocketClient ();
      var conn = client.connect (new InetSocketAddress (address, 25));
      print (@"Verbindung mit $host aufgebaut.\n");
      
      var response = new DataInputStream (conn.input_stream);
      
      
      // Send HTTP GET request
      //var message = "helo frank.fritz.box";
      //conn.output_stream.write (message.data);
      //print (@"$message\n");
      
      // meldung vom smtpd einlesen
      
      var status_line = response.read_line (null).strip ();
      print (@"smtpd anwortet:\t$status_line\n");
      
      string message;
      
      //hier geht's los

      for(int i=0; i<10; i++){
      
      if(status_line.has_prefix("220")){
	
	//hier fehlt so einiges
	message = "helo r023-lehrer.wara.de\r\n";
	conn.output_stream.write (message.data);
	print(@"wir senden :\t$message\n");
	status_line = response.read_line (null).strip ();
	print(@"smtpd antwortet mit: $status_line\n");

      }
      
      if(status_line.has_prefix("250")){
	message = "mail from: micha@dienert.eu\r\n";
	conn.output_stream.write (message.data);
	print(@"wir senden :\t$message\n");
	status_line = response.read_line (null).strip ();
	print(@"smtpd antwortet mit: $status_line\n");
      }
      
      if(status_line.has_prefix("250")){
	message = "rcpt to: dienert@localhost\r\n";
	conn.output_stream.write (message.data);
	print(@"wir senden :\t$message\n");
	status_line = response.read_line (null).strip ();
	print(@"smtpd antwortet mit: $status_line\n");
      }

      if(status_line.has_prefix("250")){
	message = "data\r\n";
	conn.output_stream.write (message.data);
	print(@"wir senden :\t$message\n");
	status_line = response.read_line (null).strip ();
	print(@"smtpd antwortet mit: $status_line\n");
      }	  

      if(status_line.has_prefix("354")){
	message = "frohe oktern\r\n.\r\n";
	conn.output_stream.write (message.data);
	print(@"wir senden :\t$message\n");
	status_line = response.read_line (null).strip ();
	print(@"smtpd antwortet mit: $status_line\n");
      }

      }//ende der schleife

      if(status_line.has_prefix("250")){
	message = "quit\r\n";
	conn.output_stream.write (message.data);
	print(@"wir senden :\t$message\n");
	status_line = response.read_line (null).strip ();
	print(@"smtpd antwortet mit: $status_line\n");
      }

    } catch (Error e) {
      stderr.printf ("%s\n", e.message);
    }
}
